<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [OfficeAPI](./bitburner.officeapi.md) &gt; [getResearchCost](./bitburner.officeapi.getresearchcost.md)

## OfficeAPI.getResearchCost() method

Get the cost to unlock research

<b>Signature:</b>

```typescript
getResearchCost(divisionName: string, researchName: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  researchName | string | Name of the research |

<b>Returns:</b>

number

cost

